# Used by scratchbox-base and scratchbox-utils

ifndef NO_CVS_SITE

CVS_SITES = cvs://

CHECKSUM_FILE = $(WORKDIR)/checksums

pre-everything:
	install -d $(WORKDIR)
	ln -s ../checksums $(WORKDIR)/checksums
	$(MAKECOOKIE)

cvs//%:
	install -d $(WORKDIR) $(DOWNLOADDIR) $(COOKIEDIR)

	test -d $(WORKDIR)/../CVS
	(cd $(WORKDIR) && cvs -d `cat ../CVS/Root` co -r $(CVSTAG) $(GARNAME))
	mv $(WORKDIR)/$(GARNAME) $(WORKDIR)/$(GARNAME)-$(GARVERSION)

	ln -sf /dev/null $(DOWNLOADDIR)/$*
	rm -f $(WORKDIR)/checksums
	md5sum $(DOWNLOADDIR)/$* > $(WORKDIR)/checksums

endif
